VTK: vtkPlaneWidget Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Types | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
vtkPlaneWidget Class Reference

3D widget for manipulating a finite plane More...

`#include <vtkPlaneWidget.h>`

Inheritance diagram for vtkPlaneWidget:
[legend]
Collaboration diagram for vtkPlaneWidget:
[legend]

## Public Types
typedef vtkPolyDataSourceWidget | Superclass
Public Types inherited from vtkPolyDataSourceWidget
typedef vtk3DWidget | Superclass
Public Types inherited from vtk3DWidget
typedef vtkInteractorObserver | Superclass
Public Types inherited from vtkInteractorObserver
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkPlaneWidget * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | GetPolyData (vtkPolyData *pd)
| Grab the polydata (including points) that defines the plane. More...
void | GetPlane (vtkPlane *plane)
| Get the planes describing the implicit function defined by the plane widget. More...
vtkPolyDataAlgorithm * | GetPolyDataAlgorithm () override
| Satisfies superclass API. More...
void | UpdatePlacement () override
| Satisfies superclass API. More...
void | SetEnabled (int) override
| Methods that satisfy the superclass' API. More...
void | PlaceWidget (double bounds[6]) override
| Methods that satisfy the superclass' API. More...
void | PlaceWidget () override
| Methods that satisfy the superclass' API. More...
void | PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax) override
| Methods that satisfy the superclass' API. More...
void | SetResolution (int r)
| Set/Get the resolution (number of subdivisions) of the plane. More...
int | GetResolution ()
| Set/Get the resolution (number of subdivisions) of the plane. More...
void | SetOrigin (double x, double y, double z)
| Set/Get the origin of the plane. More...
void | SetOrigin (double x[3])
| Set/Get the origin of the plane. More...
double * | GetOrigin ()
| Set/Get the origin of the plane. More...
void | GetOrigin (double xyz[3])
| Set/Get the origin of the plane. More...
void | SetPoint1 (double x, double y, double z)
| Set/Get the position of the point defining the first axis of the plane. More...
void | SetPoint1 (double x[3])
| Set/Get the position of the point defining the first axis of the plane. More...
double * | GetPoint1 ()
| Set/Get the position of the point defining the first axis of the plane. More...
void | GetPoint1 (double xyz[3])
| Set/Get the position of the point defining the first axis of the plane. More...
void | SetPoint2 (double x, double y, double z)
| Set/Get the position of the point defining the second axis of the plane. More...
void | SetPoint2 (double x[3])
| Set/Get the position of the point defining the second axis of the plane. More...
double * | GetPoint2 ()
| Set/Get the position of the point defining the second axis of the plane. More...
void | GetPoint2 (double xyz[3])
| Set/Get the position of the point defining the second axis of the plane. More...
void | SetCenter (double x, double y, double z)
| Get the center of the plane. More...
void | SetCenter (double x[3])
| Get the center of the plane. More...
double * | GetCenter ()
| Get the center of the plane. More...
void | GetCenter (double xyz[3])
| Get the center of the plane. More...
void | SetNormal (double x, double y, double z)
| Get the normal to the plane. More...
void | SetNormal (double x[3])
| Get the normal to the plane. More...
double * | GetNormal ()
| Get the normal to the plane. More...
void | GetNormal (double xyz[3])
| Get the normal to the plane. More...
virtual void | SetRepresentation (int)
| Control how the plane appears when GetPolyData() is invoked. More...
virtual int | GetRepresentation ()
| Control how the plane appears when GetPolyData() is invoked. More...
void | SetRepresentationToOff ()
| Control how the plane appears when GetPolyData() is invoked. More...
void | SetRepresentationToOutline ()
| Control how the plane appears when GetPolyData() is invoked. More...
void | SetRepresentationToWireframe ()
| Control how the plane appears when GetPolyData() is invoked. More...
void | SetRepresentationToSurface ()
| Control how the plane appears when GetPolyData() is invoked. More...
virtual void | SetNormalToXAxis (vtkTypeBool)
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual vtkTypeBool | GetNormalToXAxis ()
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual void | NormalToXAxisOn ()
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual void | NormalToXAxisOff ()
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual void | SetNormalToYAxis (vtkTypeBool)
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual vtkTypeBool | GetNormalToYAxis ()
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual void | NormalToYAxisOn ()
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual void | NormalToYAxisOff ()
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual void | SetNormalToZAxis (vtkTypeBool)
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual vtkTypeBool | GetNormalToZAxis ()
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual void | NormalToZAxisOn ()
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual void | NormalToZAxisOff ()
| Force the plane widget to be aligned with one of the x-y-z axes. More...
virtual vtkProperty * | GetHandleProperty ()
| Get the handle properties (the little balls are the handles). More...
virtual vtkProperty * | GetSelectedHandleProperty ()
| Get the handle properties (the little balls are the handles). More...
virtual void | SetPlaneProperty (vtkProperty *)
| Get the plane properties. More...
virtual vtkProperty * | GetPlaneProperty ()
| Get the plane properties. More...
virtual vtkProperty * | GetSelectedPlaneProperty ()
| Get the plane properties. More...
Public Member Functions inherited from vtkPolyDataSourceWidget
vtkPolyDataSourceWidget * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | PlaceWidget () override
| Overrides vtk3DWidget PlaceWidget() so that it doesn't complain if there's no Input and no Prop3D. More...
void | PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax) override
| Convenience method brought over from vtkPlaneWidget. More...
Public Member Functions inherited from vtk3DWidget
vtk3DWidget * | NewInstance () const
virtual void | SetProp3D (vtkProp3D *)
| Specify a vtkProp3D around which to place the widget. More...
virtual vtkProp3D * | GetProp3D ()
| Specify a vtkProp3D around which to place the widget. More...
virtual void | SetInputData (vtkDataSet *)
| Specify the input dataset. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *)
| Specify the input dataset. More...
virtual vtkDataSet * | GetInput ()
| Specify the input dataset. More...
virtual void | SetPlaceFactor (double)
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual double | GetPlaceFactor ()
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual void | SetHandleSize (double)
| Set/Get the factor that controls the size of the handles that appear as part of the widget. More...
virtual double | GetHandleSize ()
| Set/Get the factor that controls the size of the handles that appear as part of the widget. More...
Public Member Functions inherited from vtkInteractorObserver
vtkInteractorObserver * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
int | GetEnabled ()
void | EnabledOn ()
void | EnabledOff ()
void | On ()
void | Off ()
virtual void | OnChar ()
| Sets up the keypress-i event. More...
virtual void | SetInteractor (vtkRenderWindowInteractor *iren)
| This method is used to associate the widget with the render window interactor. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
| This method is used to associate the widget with the render window interactor. More...
virtual void | SetPriority (float)
| Set/Get the priority at which events are processed. More...
virtual float | GetPriority ()
| Set/Get the priority at which events are processed. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetKeyPressActivation (vtkTypeBool)
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual vtkTypeBool | GetKeyPressActivation ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOn ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOff ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | SetKeyPressActivationValue (char)
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual char | GetKeyPressActivationValue ()
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual vtkRenderer * | GetDefaultRenderer ()
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual void | SetDefaultRenderer (vtkRenderer *)
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual vtkRenderer * | GetCurrentRenderer ()
| Set/Get the current renderer. More...
virtual void | SetCurrentRenderer (vtkRenderer *)
| Set/Get the current renderer. More...
void | GrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
void | ReleaseFocus ()
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkPlaneWidget * | New ()
| Instantiate the object. More...
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPlaneWidget * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkPolyDataSourceWidget
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPolyDataSourceWidget * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtk3DWidget
static vtkTypeBool | IsTypeOf (const char *type)
static vtk3DWidget * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkInteractorObserver
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInteractorObserver * | SafeDownCast (vtkObjectBase *o)
static void | ComputeDisplayToWorld (vtkRenderer *ren, double x, double y, double z, double worldPt[4])
| Convenience methods for outside classes. More...
static void | ComputeWorldToDisplay (vtkRenderer *ren, double x, double y, double z, double displayPt[3])
| Convenience methods for outside classes. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Types
enum | WidgetState { Start = 0 , Moving , Scaling , Pushing , Rotating , Spinning , Outside , Pinching }

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkPlaneWidget ()
| ~vtkPlaneWidget () override
void | OnLeftButtonDown ()
void | OnLeftButtonUp ()
void | OnMiddleButtonDown ()
void | OnMiddleButtonUp ()
void | OnRightButtonDown ()
void | OnRightButtonUp ()
void | OnMouseMove ()
void | OnStartPinch ()
void | OnPinch ()
void | OnEndPinch ()
void | SelectRepresentation ()
void | HighlightPlane (int highlight)
void | PositionHandles ()
void | HandlesOn (double length)
void | HandlesOff ()
int | HighlightHandle (vtkProp *prop)
void | SizeHandles () override
void | HighlightNormal (int highlight)
void | RegisterPickers () override
| Register internal Pickers in the Picking Manager. More...
void | MoveOrigin (double *p1, double *p2)
void | MovePoint1 (double *p1, double *p2)
void | MovePoint2 (double *p1, double *p2)
void | MovePoint3 (double *p1, double *p2)
void | Rotate (int X, int Y, double *p1, double *p2, double *vpn)
void | Spin (double *p1, double *p2)
void | Scale (double *p1, double *p2, int X, int Y)
void | Translate (double *p1, double *p2)
void | Push (double *p1, double *p2)
void | CreateDefaultProperties ()
void | GeneratePlane ()
Protected Member Functions inherited from vtkPolyDataSourceWidget
| vtkPolyDataSourceWidget ()
| Empty constructor that calls the parent constructor. More...
Protected Member Functions inherited from vtk3DWidget
| vtk3DWidget ()
| ~vtk3DWidget () override
void | AdjustBounds (double bounds[6], double newBounds[6], double center[3])
double | SizeHandles (double factor)
void | UpdateInput ()
Protected Member Functions inherited from vtkInteractorObserver
| vtkInteractorObserver ()
| ~vtkInteractorObserver () override
void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the observer currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the picker, and return the assembly path. More...
int | RequestCursorShape (int requestedShape)
virtual void | StartInteraction ()
| Utility routines used to start and end interaction. More...
virtual void | EndInteraction ()
| Utility routines used to start and end interaction. More...
void | ComputeDisplayToWorld (double x, double y, double z, double worldPt[4])
| Helper method for subclasses. More...
void | ComputeWorldToDisplay (double x, double y, double z, double displayPt[3])
| Helper method for subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Static Protected Member Functions
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
Static Protected Member Functions inherited from vtkInteractorObserver
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
| Handles the char widget activation event. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Protected Attributes
int | State
vtkTypeBool | NormalToXAxis
vtkTypeBool | NormalToYAxis
vtkTypeBool | NormalToZAxis
int | Representation
vtkActor * | PlaneActor
vtkPolyDataMapper * | PlaneMapper
vtkPlaneSource * | PlaneSource
vtkPolyData * | PlaneOutline
vtkActor ** | Handle
vtkPolyDataMapper ** | HandleMapper
vtkSphereSource ** | HandleGeometry
vtkActor * | ConeActor
vtkPolyDataMapper * | ConeMapper
vtkConeSource * | ConeSource
vtkActor * | LineActor
vtkPolyDataMapper * | LineMapper
vtkLineSource * | LineSource
vtkActor * | ConeActor2
vtkPolyDataMapper * | ConeMapper2
vtkConeSource * | ConeSource2
vtkActor * | LineActor2
vtkPolyDataMapper * | LineMapper2
vtkLineSource * | LineSource2
vtkCellPicker * | HandlePicker
vtkCellPicker * | PlanePicker
vtkActor * | CurrentHandle
double | Normal [3]
vtkTransform * | Transform
vtkProperty * | HandleProperty
vtkProperty * | SelectedHandleProperty
vtkProperty * | PlaneProperty
vtkProperty * | SelectedPlaneProperty
int | LastPickValid
double | HandleSizeFactor
Protected Attributes inherited from vtk3DWidget
vtkProp3D * | Prop3D
vtk3DWidgetConnection * | ConnectionHolder
double | PlaceFactor
int | Placed
double | InitialBounds [6]
double | InitialLength
double | HandleSize
int | ValidPick
double | LastPickPosition [3]
Protected Attributes inherited from vtkInteractorObserver
int | Enabled
vtkCallbackCommand * | EventCallbackCommand
vtkCallbackCommand * | KeyPressCallbackCommand
float | Priority
bool | PickingManaged
vtkTypeBool | KeyPressActivation
char | KeyPressActivationValue
vtkRenderWindowInteractor * | Interactor
vtkRenderer * | CurrentRenderer
vtkRenderer * | DefaultRenderer
unsigned long | CharObserverTag
unsigned long | DeleteObserverTag
vtkObserverMediator * | ObserverMediator
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

3D widget for manipulating a finite plane

This 3D widget defines a finite (bounded) plane that can be interactively placed in a scene. The plane has four handles (at its corner vertices), a normal vector, and the plane itself. The handles are used to resize the plane; the normal vector to rotate it, and the plane can be picked and translated. Selecting the plane while pressing CTRL makes it spin around the normal. A nice feature of the object is that the vtkPlaneWidget, like any 3D widget, will work with the current interactor style. That is, if vtkPlaneWidget does not handle an event, then all other registered observers (including the interactor style) have an opportunity to process the event. Otherwise, the vtkPlaneWidget will terminate the processing of the event that it handles.

To use this object, just invoke SetInteractor() with the argument of the method a vtkRenderWindowInteractor. You may also wish to invoke "PlaceWidget()" to initially position the widget. If the "i" key (for "interactor") is pressed, the vtkPlaneWidget will appear. (See superclass documentation for information about changing this behavior.) By grabbing the one of the four handles (use the left mouse button), the plane can be resized. By grabbing the plane itself, the entire plane can be arbitrarily translated. Pressing CTRL while grabbing the plane will spin the plane around the normal. If you select the normal vector, the plane can be arbitrarily rotated. Selecting any part of the widget with the middle mouse button enables translation of the plane along its normal. (Once selected using middle mouse, moving the mouse in the direction of the normal translates the plane in the direction of the normal; moving in the direction opposite the normal translates the plane in the direction opposite the normal.) Scaling (about the center of the plane) is achieved by using the right mouse button. By moving the mouse "up" the render window the plane will be made bigger; by moving "down" the render window the widget will be made smaller. Events that occur outside of the widget (i.e., no part of the widget is picked) are propagated to any other registered obsevers (such as the interaction style). Turn off the widget by pressing the "i" key again (or invoke the Off() method).

The vtkPlaneWidget has several methods that can be used in conjunction with other VTK objects. The Set/GetResolution() methods control the number of subdivisions of the plane; the GetPolyData() method can be used to get the polygonal representation and can be used for things like seeding stream lines. GetPlane() can be used to update a vtkPlane implicit function. Typical usage of the widget is to make use of the StartInteractionEvent, InteractionEvent, and EndInteractionEvent events. The InteractionEvent is called on mouse motion; the other two events are called on button down and button up (either left or right button).

Some additional features of this class include the ability to control the properties of the widget. You can set the properties of the selected and unselected representations of the plane. For example, you can set the property for the handles and plane. In addition there are methods to constrain the plane so that it is perpendicular to the x-y-z axes.

See also
  vtk3DWidget vtkBoxWidget vtkLineWidget vtkSphereWidget vtkImplicitPlaneWidget

Events:
  vtkCommand::DisableEvent vtkCommand::EnableEvent vtkCommand::EndInteractionEvent vtkCommand::InteractionEvent vtkCommand::StartInteractionEvent

Online Examples:

Tests:
  vtkPlaneWidget (Tests)

Definition at line 106 of file vtkPlaneWidget.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkPolyDataSourceWidget vtkPlaneWidget::Superclass

Definition at line 114 of file vtkPlaneWidget.h.

## Member Enumeration Documentation

## ◆ WidgetState

enum vtkPlaneWidget::WidgetState
| protected

Enumerator
Start |
Moving |
Scaling |
Pushing |
Rotating |
Spinning |
Outside |
Pinching |

Definition at line 283 of file vtkPlaneWidget.h.

## Constructor & Destructor Documentation

## ◆ vtkPlaneWidget()

vtkPlaneWidget::vtkPlaneWidget | ( |  | ) |
| protected

## ◆ ~vtkPlaneWidget()

vtkPlaneWidget::~vtkPlaneWidget | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkPlaneWidget* vtkPlaneWidget::New | ( |  | ) |
| static

Instantiate the object.

## ◆ IsTypeOf()

static vtkTypeBool vtkPlaneWidget::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkPlaneWidget::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkPolyDataSourceWidget.

## ◆ SafeDownCast()

static vtkPlaneWidget* vtkPlaneWidget::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkPlaneWidget::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkPolyDataSourceWidget.

## ◆ NewInstance()

vtkPlaneWidget* vtkPlaneWidget::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkPlaneWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtk3DWidget.

## ◆ SetEnabled()

void vtkPlaneWidget::SetEnabled | ( | int |  | ) |
| overridevirtual

Methods that satisfy the superclass' API.

Reimplemented from vtkInteractorObserver.

## ◆ PlaceWidget() [1/3]

void vtkPlaneWidget::PlaceWidget | ( | double | bounds[6] | ) |
| overridevirtual

Methods that satisfy the superclass' API.

Implements vtkPolyDataSourceWidget.

## ◆ PlaceWidget() [2/3]

void vtkPlaneWidget::PlaceWidget | ( |  | ) |
| inlineoverridevirtual

Methods that satisfy the superclass' API.

Reimplemented from vtk3DWidget.

Definition at line 123 of file vtkPlaneWidget.h.

## ◆ PlaceWidget() [3/3]

void vtkPlaneWidget::PlaceWidget | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double | zmin,
|  | double | zmax
| ) |  |
| inlineoverridevirtual

Methods that satisfy the superclass' API.

Reimplemented from vtk3DWidget.

Definition at line 124 of file vtkPlaneWidget.h.

## ◆ SetResolution()

void vtkPlaneWidget::SetResolution | ( | int | r | ) |

Set/Get the resolution (number of subdivisions) of the plane.

## ◆ GetResolution()

int vtkPlaneWidget::GetResolution | ( |  | ) |

Set/Get the resolution (number of subdivisions) of the plane.

## ◆ SetOrigin() [1/2]

void vtkPlaneWidget::SetOrigin | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Set/Get the origin of the plane.

## ◆ SetOrigin() [2/2]

void vtkPlaneWidget::SetOrigin | ( | double | x[3] | ) |

Set/Get the origin of the plane.

## ◆ GetOrigin() [1/2]

double* vtkPlaneWidget::GetOrigin | ( |  | ) |

Set/Get the origin of the plane.

## ◆ GetOrigin() [2/2]

void vtkPlaneWidget::GetOrigin | ( | double | xyz[3] | ) |

Set/Get the origin of the plane.

## ◆ SetPoint1() [1/2]

void vtkPlaneWidget::SetPoint1 | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Set/Get the position of the point defining the first axis of the plane.

## ◆ SetPoint1() [2/2]

void vtkPlaneWidget::SetPoint1 | ( | double | x[3] | ) |

Set/Get the position of the point defining the first axis of the plane.

## ◆ GetPoint1() [1/2]

double* vtkPlaneWidget::GetPoint1 | ( |  | ) |

Set/Get the position of the point defining the first axis of the plane.

## ◆ GetPoint1() [2/2]

void vtkPlaneWidget::GetPoint1 | ( | double | xyz[3] | ) |

Set/Get the position of the point defining the first axis of the plane.

## ◆ SetPoint2() [1/2]

void vtkPlaneWidget::SetPoint2 | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Set/Get the position of the point defining the second axis of the plane.

## ◆ SetPoint2() [2/2]

void vtkPlaneWidget::SetPoint2 | ( | double | x[3] | ) |

Set/Get the position of the point defining the second axis of the plane.

## ◆ GetPoint2() [1/2]

double* vtkPlaneWidget::GetPoint2 | ( |  | ) |

Set/Get the position of the point defining the second axis of the plane.

## ◆ GetPoint2() [2/2]

void vtkPlaneWidget::GetPoint2 | ( | double | xyz[3] | ) |

Set/Get the position of the point defining the second axis of the plane.

## ◆ SetCenter() [1/2]

void vtkPlaneWidget::SetCenter | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Get the center of the plane.

## ◆ SetCenter() [2/2]

void vtkPlaneWidget::SetCenter | ( | double | x[3] | ) |

Get the center of the plane.

## ◆ GetCenter() [1/2]

double* vtkPlaneWidget::GetCenter | ( |  | ) |

Get the center of the plane.

## ◆ GetCenter() [2/2]

void vtkPlaneWidget::GetCenter | ( | double | xyz[3] | ) |

Get the center of the plane.

## ◆ SetNormal() [1/2]

void vtkPlaneWidget::SetNormal | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Get the normal to the plane.

## ◆ SetNormal() [2/2]

void vtkPlaneWidget::SetNormal | ( | double | x[3] | ) |

Get the normal to the plane.

## ◆ GetNormal() [1/2]

double* vtkPlaneWidget::GetNormal | ( |  | ) |

Get the normal to the plane.

## ◆ GetNormal() [2/2]

void vtkPlaneWidget::GetNormal | ( | double | xyz[3] | ) |

Get the normal to the plane.

## ◆ SetRepresentation()

virtual void vtkPlaneWidget::SetRepresentation | ( | int |  | ) |
| virtual

Control how the plane appears when GetPolyData() is invoked.

If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface.

## ◆ GetRepresentation()

virtual int vtkPlaneWidget::GetRepresentation | ( |  | ) |
| virtual

Control how the plane appears when GetPolyData() is invoked.

If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface.

## ◆ SetRepresentationToOff()

void vtkPlaneWidget::SetRepresentationToOff | ( |  | ) |
| inline

Control how the plane appears when GetPolyData() is invoked.

If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface.

Definition at line 200 of file vtkPlaneWidget.h.

## ◆ SetRepresentationToOutline()

void vtkPlaneWidget::SetRepresentationToOutline | ( |  | ) |
| inline

Control how the plane appears when GetPolyData() is invoked.

If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface.

Definition at line 201 of file vtkPlaneWidget.h.

## ◆ SetRepresentationToWireframe()

void vtkPlaneWidget::SetRepresentationToWireframe | ( |  | ) |
| inline

Control how the plane appears when GetPolyData() is invoked.

If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface.

Definition at line 202 of file vtkPlaneWidget.h.

## ◆ SetRepresentationToSurface()

void vtkPlaneWidget::SetRepresentationToSurface | ( |  | ) |
| inline

Control how the plane appears when GetPolyData() is invoked.

If the mode is "outline", then just the outline of the plane is shown. If the mode is "wireframe" then the plane is drawn with the outline plus the interior mesh (corresponding to the resolution specified). If the mode is "surface" then the plane is drawn as a surface.

Definition at line 203 of file vtkPlaneWidget.h.

## ◆ SetNormalToXAxis()

virtual void vtkPlaneWidget::SetNormalToXAxis | ( | vtkTypeBool |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ GetNormalToXAxis()

virtual vtkTypeBool vtkPlaneWidget::GetNormalToXAxis | ( |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ NormalToXAxisOn()

virtual void vtkPlaneWidget::NormalToXAxisOn | ( |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ NormalToXAxisOff()

virtual void vtkPlaneWidget::NormalToXAxisOff | ( |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ SetNormalToYAxis()

virtual void vtkPlaneWidget::SetNormalToYAxis | ( | vtkTypeBool |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ GetNormalToYAxis()

virtual vtkTypeBool vtkPlaneWidget::GetNormalToYAxis | ( |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ NormalToYAxisOn()

virtual void vtkPlaneWidget::NormalToYAxisOn | ( |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ NormalToYAxisOff()

virtual void vtkPlaneWidget::NormalToYAxisOff | ( |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ SetNormalToZAxis()

virtual void vtkPlaneWidget::SetNormalToZAxis | ( | vtkTypeBool |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ GetNormalToZAxis()

virtual vtkTypeBool vtkPlaneWidget::GetNormalToZAxis | ( |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ NormalToZAxisOn()

virtual void vtkPlaneWidget::NormalToZAxisOn | ( |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ NormalToZAxisOff()

virtual void vtkPlaneWidget::NormalToZAxisOff | ( |  | ) |
| virtual

Force the plane widget to be aligned with one of the x-y-z axes.

Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is originally not aligned.

## ◆ GetPolyData()

void vtkPlaneWidget::GetPolyData | ( | vtkPolyData * | pd | ) |

Grab the polydata (including points) that defines the plane.

The polydata consists of (res+1)*(res+1) points, and res*res quadrilateral polygons, where res is the resolution of the plane. These point values are guaranteed to be up-to-date when either the InteractionEvent or EndInteraction events are invoked. The user provides the vtkPolyData and the points and polyplane are added to it.

## ◆ GetPlane()

void vtkPlaneWidget::GetPlane | ( | vtkPlane * | plane | ) |

Get the planes describing the implicit function defined by the plane widget.

The user must provide the instance of the class vtkPlane. Note that vtkPlane is a subclass of vtkImplicitFunction, meaning that it can be used by a variety of filters to perform clipping, cutting, and selection of data.

## ◆ GetPolyDataAlgorithm()

vtkPolyDataAlgorithm* vtkPlaneWidget::GetPolyDataAlgorithm | ( |  | ) |
| overridevirtual

Satisfies superclass API.

This returns a pointer to the underlying PolyData. Make changes to this before calling the initial PlaceWidget() to have the initial placement follow suit. Or, make changes after the widget has been initialised and call UpdatePlacement() to realise.

Implements vtkPolyDataSourceWidget.

## ◆ UpdatePlacement()

void vtkPlaneWidget::UpdatePlacement | ( |  | ) |
| overridevirtual

Satisfies superclass API.

This will change the state of the widget to match changes that have been made to the underlying PolyDataSource

Implements vtkPolyDataSourceWidget.

## ◆ GetHandleProperty()

virtual vtkProperty* vtkPlaneWidget::GetHandleProperty | ( |  | ) |
| virtual

Get the handle properties (the little balls are the handles).

The properties of the handles when selected and normal can be manipulated.

## ◆ GetSelectedHandleProperty()

virtual vtkProperty* vtkPlaneWidget::GetSelectedHandleProperty | ( |  | ) |
| virtual

Get the handle properties (the little balls are the handles).

The properties of the handles when selected and normal can be manipulated.

## ◆ SetPlaneProperty()

virtual void vtkPlaneWidget::SetPlaneProperty | ( | vtkProperty * |  | ) |
| virtual

Get the plane properties.

The properties of the plane when selected and unselected can be manipulated.

## ◆ GetPlaneProperty()

virtual vtkProperty* vtkPlaneWidget::GetPlaneProperty | ( |  | ) |
| virtual

Get the plane properties.

The properties of the plane when selected and unselected can be manipulated.

## ◆ GetSelectedPlaneProperty()

virtual vtkProperty* vtkPlaneWidget::GetSelectedPlaneProperty | ( |  | ) |
| virtual

Get the plane properties.

The properties of the plane when selected and unselected can be manipulated.

## ◆ ProcessEvents()

static void vtkPlaneWidget::ProcessEvents | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) |  |
| staticprotected

## ◆ OnLeftButtonDown()

void vtkPlaneWidget::OnLeftButtonDown | ( |  | ) |
| protected

## ◆ OnLeftButtonUp()

void vtkPlaneWidget::OnLeftButtonUp | ( |  | ) |
| protected

## ◆ OnMiddleButtonDown()

void vtkPlaneWidget::OnMiddleButtonDown | ( |  | ) |
| protected

## ◆ OnMiddleButtonUp()

void vtkPlaneWidget::OnMiddleButtonUp | ( |  | ) |
| protected

## ◆ OnRightButtonDown()

void vtkPlaneWidget::OnRightButtonDown | ( |  | ) |
| protected

## ◆ OnRightButtonUp()

void vtkPlaneWidget::OnRightButtonUp | ( |  | ) |
| protected

## ◆ OnMouseMove()

void vtkPlaneWidget::OnMouseMove | ( |  | ) |
| protected

## ◆ OnStartPinch()

void vtkPlaneWidget::OnStartPinch | ( |  | ) |
| protected

## ◆ OnPinch()

void vtkPlaneWidget::OnPinch | ( |  | ) |
| protected

## ◆ OnEndPinch()

void vtkPlaneWidget::OnEndPinch | ( |  | ) |
| protected

## ◆ SelectRepresentation()

void vtkPlaneWidget::SelectRepresentation | ( |  | ) |
| protected

## ◆ HighlightPlane()

void vtkPlaneWidget::HighlightPlane | ( | int | highlight | ) |
| protected

## ◆ PositionHandles()

void vtkPlaneWidget::PositionHandles | ( |  | ) |
| protected

## ◆ HandlesOn()

void vtkPlaneWidget::HandlesOn | ( | double | length | ) |
| protected

## ◆ HandlesOff()

void vtkPlaneWidget::HandlesOff | ( |  | ) |
| protected

## ◆ HighlightHandle()

int vtkPlaneWidget::HighlightHandle | ( | vtkProp * | prop | ) |
| protected

## ◆ SizeHandles()

void vtkPlaneWidget::SizeHandles | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from vtk3DWidget.

## ◆ HighlightNormal()

void vtkPlaneWidget::HighlightNormal | ( | int | highlight | ) |
| protected

## ◆ RegisterPickers()

void vtkPlaneWidget::RegisterPickers | ( |  | ) |
| overrideprotectedvirtual

Register internal Pickers in the Picking Manager.

Must be reimplemented by concrete widgets to register their pickers.

Reimplemented from vtkInteractorObserver.

## ◆ MoveOrigin()

void vtkPlaneWidget::MoveOrigin | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ MovePoint1()

void vtkPlaneWidget::MovePoint1 | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ MovePoint2()

void vtkPlaneWidget::MovePoint2 | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ MovePoint3()

void vtkPlaneWidget::MovePoint3 | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ Rotate()

void vtkPlaneWidget::Rotate | ( | int | X,
|  | int | Y,
|  | double * | p1,
|  | double * | p2,
|  | double * | vpn
| ) |  |
| protected

## ◆ Spin()

void vtkPlaneWidget::Spin | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ Scale()

void vtkPlaneWidget::Scale | ( | double * | p1,
|  | double * | p2,
|  | int | X,
|  | int | Y
| ) |  |
| protected

## ◆ Translate()

void vtkPlaneWidget::Translate | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ Push()

void vtkPlaneWidget::Push | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ CreateDefaultProperties()

void vtkPlaneWidget::CreateDefaultProperties | ( |  | ) |
| protected

## ◆ GeneratePlane()

void vtkPlaneWidget::GeneratePlane | ( |  | ) |
| protected

## Member Data Documentation

## ◆ State

int vtkPlaneWidget::State
| protected

Definition at line 282 of file vtkPlaneWidget.h.

## ◆ NormalToXAxis

vtkTypeBool vtkPlaneWidget::NormalToXAxis
| protected

Definition at line 312 of file vtkPlaneWidget.h.

## ◆ NormalToYAxis

vtkTypeBool vtkPlaneWidget::NormalToYAxis
| protected

Definition at line 313 of file vtkPlaneWidget.h.

## ◆ NormalToZAxis

vtkTypeBool vtkPlaneWidget::NormalToZAxis
| protected

Definition at line 314 of file vtkPlaneWidget.h.

## ◆ Representation

int vtkPlaneWidget::Representation
| protected

Definition at line 315 of file vtkPlaneWidget.h.

## ◆ PlaneActor

vtkActor* vtkPlaneWidget::PlaneActor
| protected

Definition at line 319 of file vtkPlaneWidget.h.

## ◆ PlaneMapper

vtkPolyDataMapper* vtkPlaneWidget::PlaneMapper
| protected

Definition at line 320 of file vtkPlaneWidget.h.

## ◆ PlaneSource

vtkPlaneSource* vtkPlaneWidget::PlaneSource
| protected

Definition at line 321 of file vtkPlaneWidget.h.

## ◆ PlaneOutline

vtkPolyData* vtkPlaneWidget::PlaneOutline
| protected

Definition at line 322 of file vtkPlaneWidget.h.

## ◆ Handle

vtkActor** vtkPlaneWidget::Handle
| protected

Definition at line 326 of file vtkPlaneWidget.h.

## ◆ HandleMapper

vtkPolyDataMapper** vtkPlaneWidget::HandleMapper
| protected

Definition at line 327 of file vtkPlaneWidget.h.

## ◆ HandleGeometry

vtkSphereSource** vtkPlaneWidget::HandleGeometry
| protected

Definition at line 328 of file vtkPlaneWidget.h.

## ◆ ConeActor

vtkActor* vtkPlaneWidget::ConeActor
| protected

Definition at line 336 of file vtkPlaneWidget.h.

## ◆ ConeMapper

vtkPolyDataMapper* vtkPlaneWidget::ConeMapper
| protected

Definition at line 337 of file vtkPlaneWidget.h.

## ◆ ConeSource

vtkConeSource* vtkPlaneWidget::ConeSource
| protected

Definition at line 338 of file vtkPlaneWidget.h.

## ◆ LineActor

vtkActor* vtkPlaneWidget::LineActor
| protected

Definition at line 342 of file vtkPlaneWidget.h.

## ◆ LineMapper

vtkPolyDataMapper* vtkPlaneWidget::LineMapper
| protected

Definition at line 343 of file vtkPlaneWidget.h.

## ◆ LineSource

vtkLineSource* vtkPlaneWidget::LineSource
| protected

Definition at line 344 of file vtkPlaneWidget.h.

## ◆ ConeActor2

vtkActor* vtkPlaneWidget::ConeActor2
| protected

Definition at line 347 of file vtkPlaneWidget.h.

## ◆ ConeMapper2

vtkPolyDataMapper* vtkPlaneWidget::ConeMapper2
| protected

Definition at line 348 of file vtkPlaneWidget.h.

## ◆ ConeSource2

vtkConeSource* vtkPlaneWidget::ConeSource2
| protected

Definition at line 349 of file vtkPlaneWidget.h.

## ◆ LineActor2

vtkActor* vtkPlaneWidget::LineActor2
| protected

Definition at line 352 of file vtkPlaneWidget.h.

## ◆ LineMapper2

vtkPolyDataMapper* vtkPlaneWidget::LineMapper2
| protected

Definition at line 353 of file vtkPlaneWidget.h.

## ◆ LineSource2

vtkLineSource* vtkPlaneWidget::LineSource2
| protected

Definition at line 354 of file vtkPlaneWidget.h.

## ◆ HandlePicker

vtkCellPicker* vtkPlaneWidget::HandlePicker
| protected

Definition at line 357 of file vtkPlaneWidget.h.

## ◆ PlanePicker

vtkCellPicker* vtkPlaneWidget::PlanePicker
| protected

Definition at line 358 of file vtkPlaneWidget.h.

## ◆ CurrentHandle

vtkActor* vtkPlaneWidget::CurrentHandle
| protected

Definition at line 359 of file vtkPlaneWidget.h.

## ◆ Normal

double vtkPlaneWidget::Normal[3]
| protected

Definition at line 376 of file vtkPlaneWidget.h.

## ◆ Transform

vtkTransform* vtkPlaneWidget::Transform
| protected

Definition at line 379 of file vtkPlaneWidget.h.

## ◆ HandleProperty

vtkProperty* vtkPlaneWidget::HandleProperty
| protected

Definition at line 383 of file vtkPlaneWidget.h.

## ◆ SelectedHandleProperty

vtkProperty* vtkPlaneWidget::SelectedHandleProperty
| protected

Definition at line 384 of file vtkPlaneWidget.h.

## ◆ PlaneProperty

vtkProperty* vtkPlaneWidget::PlaneProperty
| protected

Definition at line 385 of file vtkPlaneWidget.h.

## ◆ SelectedPlaneProperty

vtkProperty* vtkPlaneWidget::SelectedPlaneProperty
| protected

Definition at line 386 of file vtkPlaneWidget.h.

## ◆ LastPickValid

int vtkPlaneWidget::LastPickValid
| protected

Definition at line 391 of file vtkPlaneWidget.h.

## ◆ HandleSizeFactor

double vtkPlaneWidget::HandleSizeFactor
| protected

Definition at line 392 of file vtkPlaneWidget.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkPlaneWidget.h